/*  JAL - Cross-platform Java Application Loader for Motorola mobile phones
 *  Copyright (C) 2006  Andrew Ivanov <andrew@softmile.com>
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public Licensse as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 */
 
#define STRING_LENGTH 256
#define PACKET_SIZE 100

typedef struct _JAD_INFO{
	int  jad_size;
	char jad_file[STRING_LENGTH];
	char jar_file[STRING_LENGTH];
}JAD_INFO;

const char good_reply[2]  = 		{ 0x00, 0x01 };
const char packet_start[2] = 		{ 0x0B, 0x00 };
const char data_end1[2] = 		{ 0x0D, 0x00 };
const char data_end2[2] = 		{ 0x0F, 0x00 };
const char jad_header[6] = 		{ 0x0C, 0x04, 0x00, 0x00, 0x00, 0x00 };
const char jar_header[2] =		{ 0x0E, 0x00 };

#ifdef WIN32

#include <windows.h>
#define O_RDONLY GENERIC_READ

#else

#include <sys/types.h>
#include <sys/stat.h>
#include <sys/ioctl.h>
#include <termios.h>
#include <fcntl.h>
#include <unistd.h>
#include <string.h>
#include <libgen.h>
#define HANDLE int
#define INVALID_HANDLE_VALUE -1

#endif
