/*  JAL - Cross-platform Java Application Loader for Motorola mobile phones
 *  Copyright (C) 2006  Andrew Ivanov <andrew@softmile.com>
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public Licensse as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 */

#ifdef WIN32
#include <windows.h>
#define BAUD_RATE DWORD
static const BAUD_RATE dwBaudRates[] = {	CBR_300,
									CBR_600,
									CBR_1200,
									CBR_2400,
									CBR_4800,
									CBR_9600,
									CBR_19200,
									CBR_38400,
									CBR_57600,
									CBR_115200	
							};
#else
#include <termios.h>
#define BAUD_RATE speed_t
static const BAUD_RATE dwBaudRates[] = {	B300,
									B600,
									B1200,
									B2400,
									B4800,
									B9600,
									B19200,
									B38400,
									B57600,
									B115200
							};						
#endif


typedef void (*cb_info_fn)( const char *ch_info );

typedef void (*cb_progress_fn)( int pos );

void jal_upload_file( const char *port, BAUD_RATE baud, const char *file_name);

void jal_set_info_callback( cb_info_fn cb );

void jal_set_progress_callback( cb_progress_fn cb );

void jal_set_speed ( int speed );

void jal_close_device();

void jal_debug( const char *port, BAUD_RATE baud );
