/*  JAL - Cross-platform Java Application Loader for Motorola mobile phones
 *  Copyright (C) 2006  Andrew Ivanov <andrew@softmile.com>
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public Licensse as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 */
 
#ifndef DEVICE_CONNECTION_H
#define DEVICE_CONNECTION_H

#include <QThread>
extern "C"
{
	#include "../libjal/libjal.h"
}

class DeviceConnection : public QThread
{
	Q_OBJECT
public:
	DeviceConnection( QObject *parent = 0 );
	void init( QString sPort, int iBaudID, int speed,QString sFileName );
	void debug();
	void upload();
	bool isDebug();
	virtual void run();
	void info_cb( QString sInfo );
	void progress_cb( int pos );
private:
	QString m_sPort;
	QString m_sFileName;
	int m_speed;
	BAUD_RATE m_BaudRate;
	bool m_debug;
signals:
	void info( QString );
	void progress( int );
};

#endif
