/*  JAL - Cross-platform Java Application Loader for Motorola mobile phones
 *  Copyright (C) 2006  Andrew Ivanov <andrew@softmile.com>
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public Licensse as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 */
 
#include <QApplication>
#include <QTranslator>
#include <QLocale>

#include "main_wnd.h"

#ifdef DATADIR
#define TRANSLATIONS_PREFIX DATADIR "/qjal_"
#else
#define TRANSLATIONS_PREFIX "qjal_"
#endif

int main(int argc, char *argv[])
{
	Q_INIT_RESOURCE( qjal );

	QApplication app(argc, argv);
	
	QTranslator qtTranslator;
	qtTranslator.load("qt_" + QLocale::system().name(), "/usr/lib/qt4/translations/");
	app.installTranslator(&qtTranslator);

	QTranslator jalTranslator;
	jalTranslator.load(TRANSLATIONS_PREFIX + QLocale::system().name(), "/usr/share/qjal");
	app.installTranslator(&jalTranslator);

	
	QCoreApplication::setOrganizationName("SoftMile");
	QCoreApplication::setApplicationName("qJAL");

#ifdef WIN32
	QApplication::setStyle("plastique");
#endif

	QApplication::setWindowIcon(QPixmap(":/images/icon.png"));
    
	MainWnd main_wnd;
    main_wnd.show();
	
    return app.exec();
}

