/*  JAL - Cross-platform Java Application Loader for Motorola mobile phones
 *  Copyright (C) 2006  Andrew Ivanov <andrew@softmile.com>
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public Licensse as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 */
 
#ifndef MAINWND_H
#define MAINWND_H

#include <QMainWindow>
#include <QDockWidget>
#include <QListWidget>
#include <QMenu>

#include "ui_main_wnd.h"
#include "device_connection.h"

class MainWnd : public QMainWindow
{
    Q_OBJECT

public:
    MainWnd ( QWidget * parent = 0, Qt::WFlags flags = 0 );
private:
    Ui::MainWnd ui;
	QString m_sJADFileName;
	DeviceConnection m_conn;
	QDockWidget information;
	QTextEdit log;
	void loadJAD(QString sFileName);
	bool m_bUploadActionState;
private slots:
	void openFile();
	void settings();
	void clearLog();
	void upload();
	void quit();
	void cancel_upload();
	void debug( bool value );
	void about();
	
	void info( QString sInfo );
	void progress( int pos );
	
	void upload_started();
	void upload_finished();
	void upload_terminated();
};

#endif
